<!DOCTYPE html>
<html>
	<head>
		<title>Integrate Stripe Payment Gateway in Laravel 11 - techsolutionstuff.com</title>
		 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <meta name="viewport" 
        content="width=device-width, 
                initial-scale=1.0">
		<style type="text/css">
			 #card-element{
			height: 50px;
			padding-top: 16px;
			} 
		</style>
	</head>
	<body>
		<div class="container">
			<div class="row">
				<div class="col col-md-4">

                </div>
                <div class="col col-md-4">

                <!-- <h3 class="card-header p-3"> Stripe Merchant</h3> -->
						<div class="card-body mt-5">
							<!-- @session('success')
							<div class="alert alert-success" role="alert"> 
								{{ $value }}
							</div>
							@endsession -->

                            @foreach (['danger', 'success'] as $status)
                                @if(Session::has($status))
                                    <p class="alert alert-{{$status}}">{{ Session::get($status) }}</p>
                                @endif
                            @endforeach
                          
							<form  method='post' action="{{ route('stripe.payment') }}" id="stripe-form">
							<!-- @csrf     -->
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

						
                             <input type="hidden" name="stripeToken" id="stripe-token">
                             <input class="form-control" type="text" name="price" value=""placeholder="Please enter amount"> <br>
                            <div id="card-element" class="form-control"></div>
                            <button 
								id='pay-btn'
								class="btn btn-success mt-3"
								type="button"
								style="margin-top: 20px; width: 100%;padding: 7px;"
								onclick="createToken()">PAY $10
							</button>
                            </form>
					
							<form>
						</div>
                </div>
                <div class="col col-md-4">

                </div>
			</div>
		</div>
	</body>
	<script src="https://js.stripe.com/v3/"></script>
    <script type="text/javascript">
        var stripe = Stripe('{{env("STRIPE_KEY")}}');
        var elements = stripe.elements();
        var cardElement = elements.create('card');
        cardElement.mount('#card-element');

        function createToken(){

            stripe.createToken(cardElement).then(function(result) {
         // Handle result.error or result.token
        
         if(result.token){
            document.getElementById("stripe-token").value = result.token.id;
            document.getElementById("stripe-form").submit();
         } 
         
});    
        }
    </script>
</html>