<!DOCTYPE html>
<html>
	<head>
		<title>Integrate Stripe Payment Gateway in Laravel 11 - techsolutionstuff.com</title>
		 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <meta name="viewport" 
        content="width=device-width, 
                initial-scale=1.0">
		<style type="text/css">
			 #card-element{
			height: 50px;
			padding-top: 16px;
			} 
		</style>
	</head>
	<body>
		<div class="container">
			<div class="row">
				<div class="col col-md-4">

                </div>
                <div class="col col-md-4">

                <!-- <h3 class="card-header p-3"> Stripe Merchant</h3> -->
						<div class="card-body mt-5">
							<!-- <?php $__sessionArgs = ['success'];
if (session()->has($__sessionArgs[0])) :
if (isset($value)) { $__sessionPrevious[] = $value; }
$value = session()->get($__sessionArgs[0]); ?>
							<div class="alert alert-success" role="alert"> 
								<?php echo e($value); ?>

							</div>
							<?php unset($value);
if (isset($__sessionPrevious) && !empty($__sessionPrevious)) { $value = array_pop($__sessionPrevious); }
if (isset($__sessionPrevious) && empty($__sessionPrevious)) { unset($__sessionPrevious); }
endif;
unset($__sessionArgs); ?> -->

                            <?php $__currentLoopData = ['danger', 'success']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(Session::has($status)): ?>
                                    <p class="alert alert-<?php echo e($status); ?>"><?php echo e(Session::get($status)); ?></p>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          
							<form  method='post' action="<?php echo e(route('stripe.payment')); ?>" id="stripe-form">
							<!-- <?php echo csrf_field(); ?>     -->
                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">

						
                             <input type="hidden" name="stripeToken" id="stripe-token">
                             <input class="form-control" type="text" name="price" value=""placeholder="Please enter amount"> <br>
                            <div id="card-element" class="form-control"></div>
                            <button 
								id='pay-btn'
								class="btn btn-success mt-3"
								type="button"
								style="margin-top: 20px; width: 100%;padding: 7px;"
								onclick="createToken()">PAY $10
							</button>
                            </form>
					
							<form>
						</div>
                </div>
                <div class="col col-md-4">

                </div>
			</div>
		</div>
	</body>
	<script src="https://js.stripe.com/v3/"></script>
    <script type="text/javascript">
        var stripe = Stripe('<?php echo e(env("STRIPE_KEY")); ?>');
        var elements = stripe.elements();
        var cardElement = elements.create('card');
        cardElement.mount('#card-element');

        function createToken(){

            stripe.createToken(cardElement).then(function(result) {
         // Handle result.error or result.token
        
         if(result.token){
            document.getElementById("stripe-token").value = result.token.id;
            document.getElementById("stripe-form").submit();
         } 
         
});    
        }
    </script>
</html><?php /**PATH C:\xampp\htdocs\stripecustomcode\resources\views/stripe.blade.php ENDPATH**/ ?>